package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdSequences;
import com.qsoft.rs.sincoar.dto.MdSequencesDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdSequencesMapper {

    MdSequencesMapper INSTANCE = Mappers.getMapper(MdSequencesMapper.class);
    @Mapping(source = "schemaIdFk", target = "schemaIdFk.id")
    MdSequences getEntidad(MdSequencesDTO mdSequences);
    @Mapping(target = "schemaIdFk", source = "schemaIdFk.id")
    MdSequencesDTO getDto(MdSequences mdSequences);

}